Skip to content

Get Order Details

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/orders/{order_no}
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/orders/{order_no}

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
order_no
Required
StringOrder ID

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectOrder data (see data object details below)

data (object)

FieldTypeDescription
order_wallet_infoObjectOrder information (see order_wallet_info object details below)
tx_info_modelsObject[]Transaction information (see tx_info_models object details below)
consolidation_tx_info_modelsObject[]Consolidation transaction information (see consolidation_tx_info_models object details below)
miner_fee_tx_info_modelsObject[]Miner fee transaction information (see miner_fee_tx_info_models object details below)
partial_failedObject[]Partially failed order (see partial_failed object details below)
partial_successObject[]Partially succeeded order (see partial_success object details below)
order_review_level_listObject[]Order review details (see order_review_level_list object details below)

order_wallet_info (object)

FieldTypeDescription
business_nameStringBusiness line name
coin_nameStringAsset name
chainStringChain
storage_typeStringStorage type
wallet_typeStringWallet type
wallet_nameStringWallet name
wallet_codeStringWallet ID
time_stampLongOrder creation timestamp
order_noStringOrder ID
applicantStringMaker
amountDecimalWithdrawal amount
exchange_rateDecimalExchange rate (USD)
miner_fee_rateDecimalMiner fee rate
descriptionStringOrder description
statusStringOrder status
Allowed values: PROCESSING, PARTIALLY_FAILED, MANUAL_APPROVAL, FAILED, ORDER_SEND_OUT, FINISHED, CANCELED
inner_statusStringOrder inner status
failed_reasonStringError message returned to the user indicating the reason the order failed
miner_feeDecimalMiner fee
advance_feeDecimalAmount we will advance on your behalf to complete the order in cases where you do not have sufficient native tokens available
from_addressStringFrom address
balance_not_enoughBooleanIf balance is enough
gas_priceDecimalGas price (for ETH series)
gas_limitDecimalGas limit (ETH series)
max_fee_per_gasDecimalMax fee
max_priority_fee_per_gasDecimalPriority fee
bidStringBusiness line ID
can_reviewBooleanWhether the current user can review the order
review_level_numIntegerCurrent review level of the order
order_dest_address_info_vo_listObject[]Order destination address list (see order_dest_address_info_vo_list object for details below).

order_dest_address_info_vo_list (object)

FieldTypeDescription
dest_addressStringRecipient address
memo_typeStringMemo type
Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH
memoStringMemo
origin_balanceDecimalOrigin withdrawal amount
balanceDecimalActual withdrawal amount
remarkStringOrder remark

tx_info_models / consolidation_tx_info_models / miner_fee_tx_info_models (object)

FieldTypeDescription
tx_typeStringTransaction type
block_heightLongBlock height
tx_sizeIntegerTransaction size
tx_hashStringTransaction hash
gas_priceDecimalGas price (ETH Series)
gas_limitDecimalGas limit (ETH Series)
miner_feeDecimalMiner fee (Gas used)

partial_failed / partial_success (object)

FieldTypeDescription
dest_addressStringRecipient address
memo_typeStringMemo type
Allowed values: MEMO_NONE, MEMO_TEXT, MEMO_HASH
memoStringMemo
origin_balanceDecimalOrigin withdrawal amount
balanceDecimalActual withdrawal amount
remarkStringRemark

order_review_level_list (object)

FieldTypeDescription
review_level_numIntegerReview level number
need_review_numberIntegerNumber of reviewers required to approve at this level
reviewed_numberIntegerNumber of reviewers who have approved at this level. If equal to need_review_number, the current level is approved
order_audit_infoObject[]Review records (may have multiple entries) (see order_audit_info object details below)

order_audit_info (object)

FieldTypeDescription
reviewerStringReviewer
review_resultStringReview status
Allowed values: WAITING_FOR_APPROVAL (reviewer has permission but hasn't reviewed yet), APPROVED (review approved), REJECTED (review rejected)
review_time_stampLongReview approval/rejection timestamp. Value is 0 if not yet reviewed
review_remarkStringReview comment

If the status field in the order_wallet_info object is FINISHED or PARTIALLY_FAILED, the transaction can only be viewed using the GET Transaction Details API.

Response Example

{
    "code": 0,
    "message": "",
    "data": {
        "order_wallet_info": {
            "business_name": "BusinessLine001",
            "coin_name": "USDC",
            "wallet_type": "SEGREGATED_ADDRESS",
            "storage_type": "PRIME_HOT",
            "wallet_name": "",
            "wallet_code": "CHUSDC1036370270",
            "timestamp": 1582275952000,
            "order_no": "666666000000081",
            "applicant": "test@qq.com",
            "amount": 1000,
            "exchange_rate": 1,
            "value": null,
            "miner_fee_rate": null,
            "description": "",
            "status": "FINISHED",
            "inner_status": "FINISHED",
            "failed_reason": : null,
            "miner_fee": 630000000000000,
            "advance_fee": 110100580698,
            "from_address": "0xB6CcF826A777Da8fA0FcfAE0002172a43B05f9a1",
            "gas_price": 3000000000,
            "gas_limit": 120000,
            "can_review": false,
            "review_level_num": 2,
            "order_dest_address_info_vo_list": [
                {
                    "dest_address": "0xB6CcF826A777Da8fA0FcfAE0002172a43B05f9a1",
                    "memo_type": "MEMO_TEXT",
                    "memo": "text",
                    "origin_balance": 1000,
                    "balance": 1000,
                    "remark": ""
                }
            ],
            "bid": "ed70ff75b1fe4994a3bd836befe0e87f"
        },
        "tx_info_models": [
            {
                "tx_type": "WITHDRAW",
                "block_height": 9525716,
                "tx_size": 1,
                "tx_hash": "0x9c34bb2e92056b353747d36483842e00eb4c4944e44dc38c23c3a06a1335a86f",
                "gas_price": 30000000000,
                "gas_limit": 70000,
                "miner_fee": "0"
            }
        ],
        "consolidation_tx_info_models": [],
        "miner_fee_tx_info_models": [],
        "partial_failed": [],
        "partial_success": [],
        "order_review_level_list": [
            {
                "review_level_num": 1,
                "need_review_number": 1,
                "reviewed_number": 1,
                "order_audit_info": [
                    {
                        "reviewer": "test@test.com",
                        "review_result": "APPROVED",
                        "review_time_stamp": 1746583731000,
                        "review_remark": "api order review test"
                    }
                ]
            },
            {
                "review_level_num": 2,
                "need_review_number": 1,
                "reviewed_number": 0,
                "order_audit_info": [
                    {
                        "reviewer": "test@xyz.com",
                        "review_result": "WAITING_FOR_APPROVAL",
                        "review_time_stamp": 0,
                        "review_remark": null
                    }
                ]
            }
        ]
    },
    "successful": true
}